Page MenuHomePhabricator

MobileFrontendSkinHooks::gradeCImageSupport() should not apply to Vector skin output
Closed, ResolvedPublic

Description

My account has MobileFrontend beta enabled and when browsing on https://en.wikipedia.org/wiki/Main_Page (desktop site), the window.NORLQ section for MobileFrontendSkinHooks::gradeCImageSupport() is being included, which seems unrelated to the Vector skin and Desktop mode as the actual functionality this relates to is only enabled in Mobile context (currently Minerva skin).

It should probably use MobileContext::shouldDisplayMobileView() or a similar conditional.

Related Objects

StatusAssignedTask
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
DeclinedNone
OpenNone
Resolveddr0ptp4kt
DuplicateJhernandez
Duplicatedr0ptp4kt
OpenNone
ResolvedJdlrobson
ResolvedJdlrobson
ResolvedKrinkle

Event Timeline

Krinkle created this task.Mar 31 2016, 5:06 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 31 2016, 5:06 AM
dr0ptp4kt triaged this task as High priority.Mar 31 2016, 5:13 PM

Change 280709 had a related patch set uploaded (by Bmansurov):
Do not load mobile JS in desktop

https://gerrit.wikimedia.org/r/280709

bmansurov removed bmansurov as the assignee of this task.Mar 31 2016, 7:42 PM
bmansurov added a subscriber: bmansurov.

Change 280709 merged by jenkins-bot:
Do not load mobile JS in desktop

https://gerrit.wikimedia.org/r/280709

Change 280967 had a related patch set uploaded (by Krinkle):
Do not load mobile JS in desktop

https://gerrit.wikimedia.org/r/280967

Change 280967 merged by jenkins-bot:
Do not load mobile JS in desktop

https://gerrit.wikimedia.org/r/280967

Mentioned in SAL [2016-04-01T23:43:50Z] <krinkle@tin> Synchronized php-1.27.0-wmf.19/extensions/MobileFrontend/includes/MobileFrontend.hooks.php: T131337 (duration: 00m 38s)

Krinkle closed this task as Resolved.Apr 1 2016, 11:45 PM
Krinkle claimed this task.